# GameMotor

Package org.firstinspires.ftc.teamcode

## Enum GameMotor

- java.lang.Object
- - java.lang.Enum<GameMotor>
  - - org.firstinspires.ftc.teamcode.GameMotor

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<GameMotor>`

    public enum GameMotor
    extends java.lang.Enum<GameMotor>

### Enum Constant Summary

Enum Constants
`BL`
`BR`
`CAROUSEL`
`FL`
`FR`
`INTAKE`
`LIFT`

### Field Summary

Fields
`java.lang.String` `name`

### Method Summary

All Methods Static Methods Concrete Methods
`static GameMotor` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GameMotor[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FL

    public static final GameMotor FL

#### FR

    public static final GameMotor FR

#### BL

    public static final GameMotor BL

#### BR

    public static final GameMotor BR

#### INTAKE

    public static final GameMotor INTAKE

#### LIFT

    public static final GameMotor LIFT

#### CAROUSEL

    public static final GameMotor CAROUSEL

### Field Detail

#### name

    public final java.lang.String name

### Method Detail

#### values

    public static GameMotor[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GameMotor c : GameMotor.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GameMotor valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null